API Reference
Boxy
Boxy delivery provider integration.
22 endpoints· Auth: API Key
get
/api/v1/store/integrations/boxy/orders API KeyGet orders
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/orders" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
patch
/api/v1/store/integrations/boxy/orders/{orderUid} API KeyUpdate orderUid
Path parameters
| orderUidrequired string | — |
Request body
application/json
{
"isFragile": false,
"readyToPickUp": false,
"shipmentFeeType": "string",
"paymentType": "string",
"pickUpType": "string",
"description": "string",
"size": "string",
"customId": "string",
"feeCustomerPayable": 0,
"savedPickUpAddressUid": "string",
"products": [
{
"title": "string",
"price": 0,
"quantity": 0
}
],
"contact": {
"fullName": "string",
"phone": "string",
"secondaryPhone": "string",
"email": "string",
"addressText": "string",
"regionName": "string",
"provinceCode": "string"
}
}| isFragile boolean | — |
| readyToPickUp boolean | — |
| shipmentFeeType string | — |
| paymentType string | — |
| pickUpType string | — |
| description string | — |
| size string | — |
| customId string | — |
| feeCustomerPayable integer (int32) | — |
| savedPickUpAddressUid string | — |
| products BoxyProductItem[] | — |
| contact BoxyContactInfo | — |
Responses
200Success
cURL
curl -X PATCH "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/orders/{orderUid}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"isFragile": false,
"readyToPickUp": false,
"shipmentFeeType": "string",
"paymentType": "string",
"pickUpType": "string",
"description": "string",
"size": "string",
"customId": "string",
"feeCustomerPayable": 0,
"savedPickUpAddressUid": "string",
"products": [
{
"title": "string",
"price": 0,
"quantity": 0
}
],
"contact": {
"fullName": "string",
"phone": "string",
"secondaryPhone": "string",
"email": "string",
"addressText": "string",
"regionName": "string",
"provinceCode": "string"
}
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/boxy/orders/{orderUid} API KeyDelete orderUid
Path parameters
| orderUidrequired string | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/orders/{orderUid}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/boxy/orders/{orderUid}/cancel API KeyCreate cancel
Path parameters
| orderUidrequired string | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/orders/{orderUid}/cancel" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/boxy/orders/{orderUid}/label API KeyGet label
Path parameters
| orderUidrequired string | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/orders/{orderUid}/label" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/boxy/orders/{orderUid}/status API KeyGet status
Path parameters
| orderUidrequired string | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/orders/{orderUid}/status" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/boxy/orders/by-custom-id/{customId} API KeyGet customId
Path parameters
| customIdrequired string | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/orders/by-custom-id/{customId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/boxy/orders/labels API KeyGet labels
Query parameters
| orderUids string[] | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/orders/labels" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/boxy/pick-up-locations API KeyGet pick-up-locations
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-up-locations" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/boxy/pick-up-locations API KeyCreate pick-up-locations
Request body
application/json
{
"fullName": "string",
"type": "string",
"default": false,
"regionUid": "string",
"title": "string",
"phone": "string",
"addressText": "string",
"lng": "string",
"lat": "string",
"email": "string",
"description": "string"
}| fullName string | — |
| type string | — |
| default boolean | — |
| regionUid string | — |
| title string | — |
| phone string | — |
| addressText string | — |
| lng string | — |
| lat string | — |
| email string | — |
| description string | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-up-locations" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"fullName": "string",
"type": "string",
"default": false,
"regionUid": "string",
"title": "string",
"phone": "string",
"addressText": "string",
"lng": "string",
"lat": "string",
"email": "string",
"description": "string"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/boxy/pick-up-locations/{locationUid} API KeyGet locationUid
Path parameters
| locationUidrequired string | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-up-locations/{locationUid}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
patch
/api/v1/store/integrations/boxy/pick-up-locations/{locationUid} API KeyUpdate locationUid
Path parameters
| locationUidrequired string | — |
Request body
application/json
{
"fullName": "string",
"type": "string",
"default": false,
"regionUid": "string",
"title": "string",
"phone": "string",
"addressText": "string",
"lng": "string",
"lat": "string",
"email": "string",
"description": "string"
}| fullName string | — |
| type string | — |
| default boolean | — |
| regionUid string | — |
| title string | — |
| phone string | — |
| addressText string | — |
| lng string | — |
| lat string | — |
| email string | — |
| description string | — |
Responses
200Success
cURL
curl -X PATCH "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-up-locations/{locationUid}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"fullName": "string",
"type": "string",
"default": false,
"regionUid": "string",
"title": "string",
"phone": "string",
"addressText": "string",
"lng": "string",
"lat": "string",
"email": "string",
"description": "string"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/boxy/pick-up-locations/{locationUid} API KeyDelete locationUid
Path parameters
| locationUidrequired string | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-up-locations/{locationUid}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/boxy/pick-up-locations/cash-dropoff API KeyGet cash-dropoff
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-up-locations/cash-dropoff" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/boxy/pick-ups API KeyGet pick-ups
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-ups" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/boxy/pick-ups API KeyCreate pick-ups
Request body
application/json
{
"orderUids": [
"string"
]
}| orderUids string[] | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-ups" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"orderUids": [
"string"
]
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/boxy/pick-ups/{pickupUid} API KeyGet pickupUid
Path parameters
| pickupUidrequired string | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-ups/{pickupUid}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/boxy/pick-ups/{pickupUid}/cancel API KeyCreate cancel
Path parameters
| pickupUidrequired string | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-ups/{pickupUid}/cancel" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/boxy/pick-ups/{pickupUid}/labels API KeyGet labels
Path parameters
| pickupUidrequired string | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-ups/{pickupUid}/labels" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/boxy/pick-ups/bulk API KeyCreate bulk
Query parameters
| filterUids string[] | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-ups/bulk" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/boxy/pick-ups/bulk-cancel API KeyCreate bulk-cancel
Query parameters
| filterUids string[] | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/pick-ups/bulk-cancel" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/boxy/regions API KeyGet regions
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/boxy/regions" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu